TIFFGT(1)

NAME
tiffgt - display an image stored in a TIFF file (Silicon Graphics version)

SYNOPSIS
tiffgt [ options ] input.tif ...

DESCRIPTION
tiffgt displays one or more images stored using the Tag Image File Format, Revision 6.0. Each image is placed in a fixed size window that the user must position on the display (unless configured otherwise through X defaults). If the display has fewer than 24 bitplanes, or if the image does not warrant full color, then RGB color values are mapped to the closest values that exist in the colormap (this is done using the rgbi routine found in the graphics utility library -lgutil.)

tiffgt correctly handles files with any of the following characteristics:

BitsPerSample	1, 2, 4, 8, 16
SamplesPerPixel	1, 3, 4 (the 4th sample is ignored)
PhotometricInterpretation	0 (min-is-white), 1 (min-is-black), 2 (RGB), 3 (palette), 6 (YCbCr)
PlanarConfiguration	1 (contiguous), 2 (separate)
Orientation	1 (top-left), 4 (bottom-left)

Data may be organized as strips or tiles and may be compressed with any of the compression algorithms supported by the libtiff(3) library.

For palette images (PhotomatricInterpretation=3), tiffgt inspects the colormap values and assumes either 16-bit or 8-bit values according to the maximum value. That is, if no colormap entry greater than 255 is found, tiffgt assumes the colormap has only 8-bit values; otherwise it assumes 16-bit values. This inspection is done to handle old images written by previous (incorrect) versions of libtiff.

tiffgt can be used to display multiple images one-at-a-time. The left mouse button switches the display to the first image in the next file in the list of files specified on the command line. The right mouse button switches to the first image in the previous file in the list. The middle mouse button causes the first image in the first file specified on the command line to be displayed. In addition the following keyboard commands are recognized:

b   Use a PhotometricIntepretation of MinIsBlack in displaying the current image.

l   Use a FillOrder of lsb-to-msb in decoding the current image.

m   Use a FillOrder of msb-tolmsb in decoding the current image.

c   Use a colormap visual to display the current image.

r   Use a true color (24-bit RGB) visual to display the current image.

w   Use a PhotometricIntepretation of MinIsWhite in displaying the current image.

W   Toggle (enable/disable) display of warning messages from the TIFF library when decoding images.

E   Toggle (enable/disable) display of error messages from the TIFF library when decoding images.

z   Reset all parameters to their default settings (FillOrder, PhotometricInterpretation, handling of warnings and errors).

PageUp
    Display the previous image in the current file or the last image in the previous file.

PageDown
    Display the next image in the current file or the first image in the next file.

Home
    Display the first image in the current file.

End Display the last image in the current file (unimplemented).

OPTIONS

-c  Force image display in a colormap window.

-d  Specify an image to display by directory number. By default the first image in the file is displayed. Directories are numbered starting at zero.

-e  Enable reporting of error messages from the TIFF library. By default tiffgt silently ignores images that cannot be read.

-f  Force tiffgt to run as a foreground process. By default tiffgt will place itself in the background once it has opened the requested image file.

-l  Force the presumed bit ordering to be LSB to MSB.

-m  Force the presumed bit ordering to be MSB to LSB.

-o  Specify an image to display by directory offset. By default the first image in the file is displayed. Directories offsets may be specified using C-style syntax; i.e. a leading ``0x'' for hexadecimal and a leading ``0'' for octal.

-p  Override the value of the PhotometricInterpretation tag; the parameter may be one of: miniswhite, minisblack, rgb, palette, mask, separated, ycbcr, and cielab.

-r  Force image display in a full color window.

-s  Stop on the first read error. By default all errors in the input data are ignored and tiffgt does it's best to display as much of an image as possible.

-w  Enable reporting of warning messages from the TIFF library. By default tiffgt ignores warning messages generated when reading an image.

-v  Place information in the title bar describing what type of window (full color or colormap) is being used, the name of the input file, and the directory index of the image (if non-zero). By default, the window type is not shown in the title bar.

BUGS
Images wider and taller than the display are silently truncated to avoid crashing old versions of the window manager.

SEE ALSO
tiffdump(1), tiffinfo(1), tiffcp(1), libtiff(3)